QGIS Application - Bug report #4368

Union tool creates shapefile with missing polygons

2011-10-08 01:40 PM - Andrew Joseph

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?:

Easy fix?:

Resolution: duplicate
Copied to github as #: 14301

Description

When unioning shapefiles in QGIS, the process gets to about 6% and finishes, leaving a layer that is unioned correctly but has missing
polygons. | have tested this with multiple files and it fails each time, it does not appear to be a coordinate system issue. When it did not
work in 1.7.1 | installed 1.6.0 and tried the same process, which yielded the same error. Moreover, all other geoprocessing ftools work

correctly, so it appears to be an issue with this particular tool.

| have tried installing as an administrator, as | understand that not doing so often causes problems, but that solves nothing.

Whatever the problem is it leads to data corruption, so | consider it a high priority fix.

History

#1 - 2011-10-09 01:13 AM - Paolo Cavallini
- Resolution set to duplicate
- Status changed from Open to Rejected

Duplicate of #3581. Please check carefully before opening a ticket

#2 - 2011-11-12 08:05 AM - Paolo Cavallini

- Status changed from Rejected to Closed

#3 - 2017-05-01 01:23 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
